cgiwrap_read(3)

NAME
cgiwrap_read - cgiwrap input function

SYNOPSIS
#include <cgi/cgiwrap.h> void cgiwrap_read (char *buf, int buf_len, int *read_len);

ARGUMENTS
buf - a pre-allocated buffer to read the data into
buf_len - the size of the pre-allocated buffer

DESCRIPTION
cgiwrap_read is used to read incoming data from the client, usually from a POST or PUT HTTP request. It wraps the part of fread(stdin).

RETURN VALUE
read_len - the number of bytes read into buf

SEE ALSO
cgiwrap_iterenv(3), cgiwrap_putenv(3), cgiwrap_init_emu(3), cgiwrap_writef(3), cgiwrap_init_std(3), cgiwrap_writevf(3), cgiwrap_read(3), cgiwrap_write(3), cgiwrap_getenv